<?php
/********************************************
*     Amazon AWS Manager Addon For WHMCS    *
*********************************************/

/* Copyright (c) Metclouds Technologies Pvt Ltd 2009 - 2016 */
/* See the file NOTICE for conditions of use and distribution. */

function amazon_aws_manager_config() {
    $configarray = array(
    "name" => "Amazon AWS Manager",
    "description" => "This addon simply the management of EC2 instances in your AWS account. You can view all the instances under your  AWS account and do basic operations like Start, Stop and Terminate.",
    "version" => "1.1",
    "author" => "Xieles",
    "fields" => array(
        "key" => array ("FriendlyName" => "AWS Access Key ID", "Type" => "text"),
        "secret" => array ("FriendlyName" => "AWS Secret Access Key", "Type" => "text"
                              )
    ));
    return $configarray;
}

function amazon_aws_manager_output($vars) {
 
    $modulelink = $vars['modulelink'];
    $version = $vars['version'];
    $key = $vars['key'];
    $secret = $vars['secret'];
    $LANG = $vars['_lang'];

    
   	if(isset($_GET['action']))
   	{
		$action = $_GET['action'];
    
		switch($action)
    		{
			case "start":
		
			if($_GET['id'])
			{
				$id = $_GET['id'];
	                	$region = $_GET['region'];
        	        	require 'aws/start-instance.php';
				header('location:addonmodules.php?module=amazon_aws_manager');
			}
			break;
			case "stop":
        		if($_GET['id'])
        		{
                		$id = $_GET['id'];
				$region = $_GET['region'];
				require 'aws/stop-instance.php';
                		header('location:addonmodules.php?module=amazon_aws_manager');
        		}
        		break;
 			case "terminate":
                        if($_GET['id'])
                        {
                                $id = $_GET['id'];
                                $region = $_GET['region'];
                                require 'aws/terminate-instance.php';
                                header('location:addonmodules.php?module=amazon_aws_manager');
                        }
                        break;

			default:
			require 'aws/list-instances.php';
			break;
    		}
	}
	else
	{
		require 'aws/list-instances.php';
	}
    
}

